import request from '@/utils/request'

// 查询专利授权导入记录列表
export function listDPatentAuthInfoPreImp(query) {
  return request({
    url: '/dimp/dPatentAuthInfoPreImp/list',
    method: 'get',
    params: query
  })
}

export function importTemplate() {
  return request({
    url: '/dimp/dPatentAuthInfoPreImp/importTemplate',
    method: 'get'
  })
}

// 查询专利授权导入记录详细
export function getDPatentAuthInfoPreImp(id) {
  return request({
    url: '/dimp/dPatentAuthInfoPreImp/' + id,
    method: 'get'
  })
}

// 新增专利授权导入记录
export function addDPatentAuthInfoPreImp(data) {
  return request({
    url: '/dimp/dPatentAuthInfoPreImp',
    method: 'post',
    data: data
  })
}

// 修改专利授权导入记录
export function updateDPatentAuthInfoPreImp(data) {
  return request({
    url: '/dimp/dPatentAuthInfoPreImp',
    method: 'put',
    data: data
  })
}

// 删除专利授权导入记录
export function delDPatentAuthInfoPreImp(id) {
  return request({
    url: '/dimp/dPatentAuthInfoPreImp/' + id,
    method: 'delete'
  })
}
